/****** General ***********/
* {
    font-family: 'Raleway', sans-serif;
    /* outline: 1px solid red; */
}
:root {
    --main-color: #0065FC;
    --main-bg-color: #F2F2F2;
    --filter-bg-color: #DEEBFF;
}
.fa-solid {
    color: var(--main-color);
}
body {
    display: flex;
    justify-content: center;
}
.main-container {
    width: 100%;
    max-width: 1440px;
    padding: 0 50px;
    box-sizing: border-box;
}
a {
    color: inherit;
    text-decoration: none;
}
/***** NAVIGATION *****/
.container-logo-menu{
   display: flex;
   justify-content: space-between;
   height: 79px;
}
.container-logo-menu img{
    margin-top: 30px;
    width: 61.09px;
    height: 19px;
}
ul{
    display: flex;
    gap: 68px;  
    padding-right: 50px;
    padding-left: 50px;
}
li{
    font-size: 16px;
    font-weight: 400;
    line-height: 100%; 
    list-style: none;
}
nav a {
    color: black;
    text-decoration: none;
    padding-top: 18px;
}
nav a:hover{
    color: var(--main-color);
    border-top: solid 0.2rem var(--main-color);
    cursor: pointer; 
}
/***** HEADER *****/
/***** TITRE *****/
.titre-header p{
    margin-top: 8px;
}
/**** BARRE DE RECHERCHE *****/
form{
    display: flex;
    margin-top: 35px;
    height: 49px;
    width: calc(100% - 30px) ;
}
#location-pin{
    display: flex;
    align-items: center;
    padding: 15px;
    background-color: #F2F2F2;
    border-top-left-radius: 15px;
    border-bottom-left-radius: 15px;
}
input[type="search"]{
    border: 1px solid #F2F2F2;;
    text-align: center;
    font-size: 18px;
    font-weight: 700;
    color: black;
}
input[type="submit"]{
    color: #FFFFFF;
    font-weight: 700;
    font-size: 18px;
    background-color: var(--main-color);
    border: 0;
    border-top-right-radius: 15px;
    border-bottom-right-radius: 15px;
    padding: 15px 16px;
}
input[type="submit"]:hover{
    background-color: #064199;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    cursor: pointer;
}
/***** FILTRES *****/
.section-filtres h2{
    font-size: 18px;
    font-weight: 700;
}
.section-filtres{
    margin-top: 35px;
}
.div-filtres{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    gap: 20px;
}
.filtre-button{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50px;
    border: 2px solid #D9D9D9;
    border-radius: 25px;
    padding: 4px 19px;
    box-sizing: border-box;
}
.filtre-button:hover, .section-filtres button:hover{
    background-color: #DEEBFF;
    cursor: pointer;
}
button{
    color: black;
    font-weight: 700;
    font-size: 14px;    
    border:none;
    background-color: transparent;
}
.texte-filtre{
    margin-top: 10px;
    display: flex;
    align-items: center;
    gap: 10px;
    width: 100%;
}
/****** HEBERGEMENTS ET POPULAIRES ***********/
.section-title {
    margin: 0;
    font-size: 22px;
}
.card {
    background-color: white;
    border-radius: 20px;
    padding: 5px;
    filter: drop-shadow(0px 3px 15px rgba(0, 0, 0, 0.1));
}
.card img {
    object-fit: cover;
}
.card-title {
    font-size: 16px;
}
.card-subtitle {
    font-size: 14px;
}
.euro {
    font-weight: 700;
}
.neutral-star {
    color: var(--main-bg-color)
}
.hebergements-and-populaires {
    display: flex;
    gap: 40px;
}
.hebergements-and-populaires section {
    background-color: var(--main-bg-color);
    border-radius: 20px;
    padding: 20px;
    box-sizing: border-box;
}
/***** HEBERGEMENTS *****/
.hebergements{
    width: 65%;
}
.hebergements-title h2{
    margin-bottom: 30px;
}
.hebergements-cards{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, auto);
    gap: 20px;
}
.hebergements-cards img{
    height: 124px;
    border: 5px solid white;
    width: 100%;
    object-fit: cover;
    box-sizing: border-box;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
}
.card-hebergement{
    background-color: white;
    border-radius: 20px;
    padding-bottom: 10px;
}
.card-txt-hebergement h3, .card-hebergement p{
    margin-bottom: 0px;
    margin-top: 8px;
    margin-left: 8px;
}
@media screen and (min-width: 1024px) and (max-width: 1135px){
    .card-txt-hebergement h3{
        font-size: 14px;
    }   
}
@media screen and (min-width: 768px) and (max-width: 844px){
    .card-title{
        font-size: 14px;
    }   
}
.card-hebergement .card-rating{
    margin-top: 8px;
    margin-left: 8px;
}
.btn-afficher-plus:hover{
    cursor: pointer;
}
/***** POPULAIRES *****/
.populaires {
    width: 35%;
}
.populaires-title {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.populaires-cards .card {
    display: flex;
    margin-top: 30px;
}
.populaires-cards img {
    height: 146px;
    width: 37%;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
}
.populaires-cards .card-content {
    width: 65%;
    padding: 10px 5px 5px 15px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.card-content .card-txt h3{
    margin-top: 0;
    margin-bottom: 0;
}
.card-content .card-txt p{
    margin-top: 5px;
}
/***** ACTIVITES *****/
.activites{    
    width: 100%;
    height: 439px;
}
.activites-title h2{
    margin-top: 30px;
}
.activite-cards{
    margin-top: 30px;
    display: grid;
    grid-template-columns: repeat(4,calc(25% - 25px));
    grid-template-rows: 439px;
    gap: 30px;
}
.card-activites{
    box-shadow: 0px 3px 15px rgba(0, 0, 0, 0.4);
    border-radius: 20px;  
}
.card-activites-photo-container img{
    width: 100%;
    height: 380px;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    object-fit: cover;
}
.card-txt-activites{
    height: 59px;
    display: flex;
    align-items: center;
    padding: 0px 19px;
}
/***** FOOTER *****/
footer{
    background-color: var(--main-bg-color);
    margin-top: 150px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: auto;
    padding: 20px;
}
footer a{
    display: block;
    margin-top: 20px;
}

/* Le code ci-dessous correspond à la version responsive uniquement */

/****** Media queries ***********/
/* Medium devices (tablets, less/equal than 1024px) */
@media (max-width: 1024px) {

/***** NAVIGATION *****/
 nav a:hover{ /*Reinit :hover Desktop*/
     color: black;
     border-top: 0px solid transparent;
     cursor:default; 
 }
 nav a:active{
    color: var(--main-color);
    border-top: solid 0.2rem var(--main-color);
    cursor: pointer; 
 }

/**** BARRE DE RECHERCHE *****/
input[type="submit"]:hover{ /*Reinit :hover Desktop*/
    background-color: var(--main-color);
    box-shadow: 0 0 0 rgba(0, 0, 0, 0);
    cursor:default; 
}
input[type="submit"]:active{
    background-color: #064199;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    cursor: pointer;
}
/***** FILTRES  *****/
.filtre-button:hover, 
.section-filtres button:hover{/*Reinit :hover Desktop*/
    background-color: white;
    cursor:default;
}

.filtre-button:active, 
.section-filtres button:active{
    background-color: #DEEBFF;
    cursor: pointer;
}
/***** HEBERGEMENTS ET POPULAIRES  *****/
    .hebergements-and-populaires {
        flex-direction: column;
    }
    .hebergements {
        width: 100%; /*65% en Desktop*/
    }
    .btn-afficher-plus:hover{/*Reinit :hover Desktop*/
        cursor: default;
    }
    .btn-afficher-plus:active{
        cursor: pointer;
    }
    .populaires {
        width: 100%; /*35% en Desktop*/
        height: auto;
    }
    .populaires-cards {
        display: flex;
        flex-direction: row;
        justify-content: space-evenly;
        gap: 20px;
        margin-bottom: 20px;
    }
    .populaires-cards a {
        width: 30%;
    }
/***** ACTIVITES *****/
    .activites-title h2{
        margin-top: 30px;
        margin-left: 20px;
    }
    .activites{    
        width: 100%;
        height: 270px;
        background-color: white;
    }
    .activite-cards{
        margin-top: 30px;
        display: grid;
        grid-template-columns: repeat(4,calc(25% - 25px));
        grid-template-rows: auto;
    }
    .card-activites-photo-container img{
        height: 200px;
    }
    .card-txt-activites{
        /* height: 70px; */
    }
}

/* Small devices (phones, less than 768px) */
@media (max-width: 767.98px) {

/***** GLOBAL *****/
    *{
        margin: 0;
    }    
    .main-container {
        padding: 0 0;
    }
/***** HEADER *****/    
   .container-logo-menu {
       flex-direction: column;
       align-items: center;
       height: 115px;
    }
    
/***** NAVIGATION  *****/        
    ul {
        padding: 0;
        gap: 0;
        width: 100%;
    }    
    li {
        width: 100%;
        text-align: center;
    }    
    nav a {
        display: block;
        padding: 15px 0; 
    }    
    nav a:active{
        border-top-style: none;/*enleve bordure haute Desktop*/
        border-bottom: 2px solid var(--main-color); 
    }

/***** TITRE *****/
    .titre-header h1{
        margin-top: 20px;
        padding: 0px 20px;
    }
    .titre-header p{
        margin-top: 8px; 
        padding: 0px 20px;
        text-align:start;
    }
/***** BARRE DE RECHERCHE *****/
    form{
        margin-top: 35px;
        padding: 0px 20px;
    }
    #location-pin{
        display: flex;
        align-items: center;
        padding: 15px;
        background-color: #F2F2F2;
        border-top-left-radius: 15px;
        border-bottom-left-radius: 15px;
    }
    input[type="submit"]{
        display: none;
    }
    input[type="search"]{
        width: 100%;
        border: 1px solid #F2F2F2;
    }
    input[type="search"]::-webkit-search-cancel-button{
        position: relative;
        right: 20px; 
        cursor: pointer;
    }
    input[type="search"]:focus{
        outline: none;
    }
    #loupe{
        background-color: #0065FC;
        padding: 15px 16px ;
        border-radius: 15px;
        box-shadow: 3px 3px 8px rgba(99, 97, 97, 0.5);
        position: relative;
        height: 20px;
        right: 15px;
        bottom: 1px;
    }
    #loupe:active{
        background-color: #124ca4;
        cursor: pointer;
    }
/***** FILTRES *****/
    .section-filtres{
        margin-top: 35px;
        padding: 0px 20px;
    } 
    .div-filtres{
        margin-top: 20px;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(2, auto);
    }    
    .div-filtres button{
        /* width: 100%; */
    }    
    .filtre-button:hover, 
    .section-filtres button:hover{/* réinit :hover Desktop*/
        background-color: white; 
    }    
    .filtre-button:active, 
    .section-filtres button:active{
        background-color: #DEEBFF;
        cursor: pointer;
    }
    .texte-filtre{
        margin-top: 20px;
        gap: 20px;
    }
/***** SECTION HEBERGEMENTS POPULAIRES ACTIVITES *****/
    .hebergements-and-populaires a{
        padding-top: 18px;
    }    
    .hebergements-and-populaires section{
        border-radius: 0; /*Radius de 20px en Desktop*/
    }
    .hebergements-cards{
        display: flex; /*Grid en Desktop*/
        flex-direction: column;
    }
/***** SECTION POPULAIRE *****/       
    .populaires{
        margin-top: 20px;
        order: 1;/*order 2 en Desktop*/      
    }
    .populaires-cards{
        display: flex;
        flex-direction: column;
    }
    .populaires-cards a{
        width: 100%;   
        height: 146px;   
        margin-bottom: 20px;
    }    
    .populaires-cards .card {
        margin-top: 0px;
        height: 146px;
    }
    .populaires-cards img {
        width: 35%;
        border-top-left-radius: 20px;
        border-bottom-left-radius: 20px;
        object-fit: cover;
    }
/***** SECTION HEBERGEMENTS *****/
    .card-content{
        margin-left: 15px;
    }
    section.hebergements{
        margin-top: -50px;
        background-color: white;/*var main bg en Desktop*/
        order: 2;/*order 1 en Desktop*/   
    }    
    .hebergements-title h2{
        margin-bottom: 0px;
    }    
    .card-photo-container{
        height: 124px;
    }
    .card-hebergement{
        box-shadow: 0px 3px 15px rgba(0, 0, 0, 0.4);
    }
/***** BOUTON AFFICHER PLUS *****/
    .btn-afficher-plus{
        margin-top: 10px;
        font-size: 18px;
    }    
    .btn-afficher-plus:hover{/*Reinit :hover Desktop*/
        cursor: default;
    }
    .btn-afficher-plus:active{
        cursor: pointer;
    }
/***** SECTION ACTIVITES *****/
    .section-title{
        /* margin-left: 20px; */
    }    
    .activite-cards{
        display: flex;
        flex-direction: column;
    }    
    .card-activites{
        height: 200px;
        width: calc(100% - 40px);
        margin-left: 20px;
    }
    .card-activites-photo-container img{
        height: 141px;
        object-fit: cover;
    }
/***** FOOTER *****/
    footer{        
        margin-top: 750px;
        display: flex;
        flex-direction: column;
        gap: 30px;
    }
    footer a{
        margin: 15px 0px;
    }
}